%define srcname ktp-common-internals
%define major 8
%define version_lib 0.9
%define with_nepomuk 0
%define with_kpeople 0

Name: telepathy-kde-common-internals
Version: 0.9.0
Release: %mkrel 1
Summary: KDE Telepathy Parts
Group: System/Libraries
License: LGPLv2
URL: https://projects.kde.org/projects/extragear/network/telepathy/ktp-common-internals
Source0: http://download.kde.org/stable/kde-telepathy/%{version}/src/%{srcname}-%{version}.tar.xz
%if %with_kpeople
BuildRequires: kpeople-devel
%endif
BuildRequires: kdelibs-devel
BuildRequires: %{_lib}boost-devel
BuildRequires: %{_lib}gcrypt-devel
BuildRequires: %{_lib}gpg-error-devel 
BuildRequires: %{_lib}otr-devel
BuildRequires: %{_lib}qt-gstreamer-devel 
BuildRequires: %{_lib}qt4-devel 
BuildRequires: %{_lib}qtwebkit4-devel 
BuildRequires: %{_lib}telepathy-logger-qt-devel 
BuildRequires: %{_lib}telepathy-qt-devel 
BuildRequires: phonon-devel
BuildRequires: cmake
BuildRequires: make

%description
This package provides the commons part used by telepathy kde.


#------------------------------------------------------------------------------
%package core
Summary: Commons files used by telepathy kde
Group:   Graphical desktop/KDE 
%if %with_kpeople
Requires: libkpeople-core
%endif
Obsoletes: %{name}-translations < 0.5.0
Obsoletes: %{name} < 0.5.0
Obsoletes: telepathy-kde-nepomuk-service < 0.1-1
%if %with_nepomuk
Requires: nepomuk-core
%endif

%description core
Commons files used by telepathy kde

%files core -f ktp-common-internals.lang
%{_kde_iconsdir}/hicolor/*/*/*.png
%{_kde_appsdir}/ktelepathy/ktelepathy.notifyrc
%{_kde_appsdir}/katepart/syntax/ktpdebugoutput.xml
%{_kde_services}/ktploggerplugin_tplogger.desktop
%{_kde_servicetypes}/ktp_logger_plugin.desktop
%{_kde_iconsdir}/hicolor/scalable/apps/telepathy-kde.svgz
%{_kde_libdir}/kde4/imports/org/kde/telepathy
%{_kde_libdir}/kde4/ktploggerplugin_tplogger.so
%{_kde_libdir}/kde4/libexec/ktp-proxy
%{_kde_datadir}/config.kcfg/ktp-proxy-config.kcfg
%{_kde_datadir}/telepathy/clients/KTp.Proxy.client
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.KTp.Proxy.service
%if %with_kpeople
%{_kde_libdir}/kde4/im_persons_data_source_plugin.so
%{_kde_libdir}/kde4/imdetailswidgetplugin.so
%{_kde_libdir}/kde4/kpeople_chat_plugin.so
%{_kde_libdir}/kde4/ktp_kpeople_plugin.so
%{_kde_services}/im_persons_data_source_plugin.desktop
%{_kde_services}/imdetailswidgetplugin.desktop
%{_kde_services}/kpeople_chat_plugin.desktop
%{_kde_services}/ktp_kpeople_plugin.desktop
%if %with_nepomuk
%{_kde_libdir}/kde4/nepomuktelepathyservice.so
%{_kde_services}/nepomuktelepathyservice.desktop
%{_datadir}/ontology/telepathy/telepathy.ontology
%{_datadir}/ontology/telepathy/telepathy.trig
%endif  # with_nepomuk
%endif  # with_kpeople

#------------------------------------------------------------------------------

%define libktpmodelsprivate %mklibname ktpmodelsprivate %{major}

%package -n %{libktpmodelsprivate}
Summary: Runtime library for %{name}
Group: System/Libraries
Obsoletes: %{_lib}ktpmodelsprivate5

%description -n %{libktpmodelsprivate}
Runtime library for %{name}

%files -n %{libktpmodelsprivate}
%{_kde_libdir}/libktpmodelsprivate.so.%{major}
%{_kde_libdir}/libktpmodelsprivate.so.%{version_lib}*

#------------------------------------------------------------------------------

%define libktpcommoninternalsprivate %mklibname ktpcommoninternalsprivate %{major}

%package -n %{libktpcommoninternalsprivate}
Summary: Runtime library for %{name}
Group: System/Libraries
Obsoletes: %{_lib}ktpcommoninternalsprivate5

%description -n %{libktpcommoninternalsprivate}
Runtime library for %{name}

%files -n %{libktpcommoninternalsprivate}
%{_kde_libdir}/libktpcommoninternalsprivate.so.%{major}
%{_kde_libdir}/libktpcommoninternalsprivate.so.%{version_lib}*

#------------------------------------------------------------------------------

%define libktpwidgetsprivate %mklibname ktpwidgetsprivate %{major}

%package -n %{libktpwidgetsprivate}
Summary: Runtime library for %{name}
Group: System/Libraries
Obsoletes: %{_lib}ktpwidgetsprivate5

%description -n %{libktpwidgetsprivate}
Runtime library for %{name}

%files -n %{libktpwidgetsprivate}
%{_kde_libdir}/libktpwidgetsprivate.so.%{major}
%{_kde_libdir}/libktpwidgetsprivate.so.%{version_lib}*

#------------------------------------------------------------------------------

%define libktploggerprivate %mklibname ktploggerprivate %{major}
%package -n %{libktploggerprivate}
Summary: Runtime library for %{name}
Group: System/Libraries
Obsoletes: %{_lib}ktploggerprivate5

%description -n %{libktploggerprivate}
Runtime library for %{name}

%files -n %{libktploggerprivate}
%{_kde_libdir}/libktploggerprivate.so.%{major}
%{_kde_libdir}/libktploggerprivate.so.%{version_lib}*

#------------------------------------------------------------------------------

%define libktpotrprivate %mklibname ktpotrprivate %{major}
%package -n %{libktpotrprivate}
Summary: Runtime library for %{name}
Group: System/Libraries
Obsoletes:  %{_lib}ktpotrprivate5

%description -n %{libktpotrprivate}
Runtime library for %{name}

%files -n %{libktpotrprivate}
%{_kde_libdir}/libktpotrprivate.so.%{major}
%{_kde_libdir}/libktpotrprivate.so.%{version_lib}*

#------------------------------------------------------------------------------

%define devel %mklibname %{name} -d

%package -n %{devel}
Summary: Headers files for %{name}
Group: Development/Libraries
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}

%description -n %{devel}
Headers files for %{name}

%files -n %{devel}
%{_kde_includedir}/KTp/
%{_kde_libdir}/libktpcommoninternalsprivate.so
%{_kde_libdir}/libktploggerprivate.so
%{_kde_libdir}/libktpmodelsprivate.so
%{_kde_libdir}/libktpotrprivate.so
%{_kde_libdir}/libktpwidgetsprivate.so
%{_kde_bindir}/ktp-debugger

#------------------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4
%make

%install
rm -rf %buildroot
%makeinstall_std -C build
%find_lang ktp-common-internals 


%changelog
* Wed Mar 11 2015 bb <bb> 0.9.0-1pclos2015
- update
